/* djbtronic expanding string interface, adapted for pdksh
 * http://cr.yp.to/lib/stralloc.html
 * J. Welsh, May 2019
 * Public domain
 */

#include "sh.h"
#include "stralloc.h"

void stralloc_ready(stralloc *sa, size_t len) {
	if (sa->a < len) {
		len = size_add(len,len);
		sa->s = aresize(sa->s,len,ATEMP);
		sa->a = len;
	}
}

/*
void stralloc_readyplus(stralloc *sa, size_t len) {
	len = size_add(sa->len,len);
	if (sa->a < len) {
		len = size_add(len,len);
		sa->s = aresize(sa->s,len,ATEMP);
		sa->a = len;
	}
}

void stralloc_copy(stralloc *sa, stralloc const *sa2) {
	stralloc_ready(sa,sa2->len);
	memcpy(sa->s,sa2->s,sa2->len);
	sa->len = sa2->len;
}

void stralloc_copys(stralloc *sa, char const *buf) {
	size_t len = strlen(buf);
	stralloc_ready(sa,len);
	memcpy(sa->s,buf,len);
	sa->len = len;
}

void stralloc_copyb(stralloc *sa, char const *buf, size_t len) {
	stralloc_ready(sa,len);
	memcpy(sa->s,buf,len);
	sa->len = len;
}

void stralloc_cat(stralloc *sa, stralloc const *sa2) {
	size_t tlen = size_add(sa->len,sa2->len);
	stralloc_ready(sa,tlen);
	memcpy(sa->s+sa->len,sa2->s,sa2->len);
	sa->len = tlen;
}
*/

void stralloc_cats(stralloc *sa, char const *buf) {
	size_t len = strlen(buf);
	size_t tlen = size_add(sa->len,len);
	stralloc_ready(sa,len);
	memcpy(sa->s+sa->len,buf,len);
	sa->len = tlen;
}

void stralloc_catb(stralloc *sa, char const *buf, size_t len) {
	size_t tlen = size_add(sa->len,len);
	stralloc_ready(sa,tlen);
	memcpy(sa->s+sa->len,buf,len);
	sa->len = tlen;
}

/*
int stralloc_starts(stralloc const *sa, char const *buf) {
	size_t len = strlen(buf);
	return sa->len >= len && !memcmp(sa->s,buf,len);
}
*/
