P=dovecot
V=2.4.0
MAJOR=0
MINOR=0

# Build requires: flex bison perl
# Bundled databases: src/lib/UnicodeData.txt src/lib-fts/WordBreakProperty.txt src/lib-fts/PropList.txt

S="
jwrd-dovecot-$V.tar.gz
dovecot.conf
run
"

SHA512="
a9d31f4c65640bad6c2a7016f8135476c0298d2c4b0f834991f81d43492f6a21ee6f58c3bd999f186d6d3e7643e36aa81d7a8031efd8fbd9bf9e13d29f5be807  jwrd-dovecot-2.4.0.tar.gz
"

build () {
	root=$PWD/root
	tar xzf jwrd-dovecot-$V.tar.gz
	cd jwrd-dovecot-$V

	# Default CFLAGS include -O1 and no -g.
	# Security sensitive, so keep low optimization.
	# Including debug info comes out huge.
	make -j$JOBS install DESTDIR=$root \
		prefix=/gales/pkg/$Q \
		sysconfdir=/etc \
		docdir='$(prefix)/doc' \
		datadir='$(prefix)' \
		pkgdatadir='$(datadir)' \
		pkglibexecdir='$(libexecdir)'
	cd $root
}

check () {
	# works for me, but takes around 6 min
	echo "Skipping fairly slow test suite"
	return
	cd jwrd-dovecot-$V
	make check
}

package () {
	f etc/examples/dovecot/dovecot.conf
	x etc/examples/svc/dovecot/run
	l etc/examples/svc/dovecot/log/run /etc/svc.defs/multilog

	cd jwrd-dovecot-$V
	for f in AUTHORS NEWS README.md ; do
		f gales/pkg/$Q/doc/$f
	done

	cd ../root/gales/pkg
	a gales/pkg/$Q
	l gales/pkg/$P $Q

	for f in doveconf doveadm dovecot dsync ; do
		l gales/command/$f ../pkg/$P/bin/$f
	done
	# There's also a dovecot-sysreport script in bin, but it demands bash and probably needs a lookover anyway.

	l gales/doc/$P ../pkg/$P/doc
	l gales/man/$P ../pkg/$P/man
}
