P=drbd-utils
V=9.18.2
MAJOR=0
MINOR=1

# Build requires: flex

S="
$P-$V.tar.gz http://pkg.linbit.com/downloads/drbd/utils/$P-$V.tar.gz
drbd-utils-9.18.2-bashisms.patch
drbd-utils-9.18.2-tdestroy-free-fn-type.patch
drbd-utils-9.18.2-kill-spyware.patch
drbd-utils-9.18.2-kill-buildtag.patch
drbd-utils-9.18.2-install-paths-cflags-cleanup.patch
"

SHA512="
9b21c8b03e91249ff5ae547dbb0f96701ffad1f561b518f285ad074ea34586b7240146ac453bdd22ecb15cb9abb60e55b2d1a4b496d8720bc5eeb49cfc356b4a  drbd-utils-9.18.2.tar.gz
"

build () {
	root=$PWD/root
	tar xzf $P-$V.tar.gz
	cd $P-$V
	patch -E -p1 <../drbd-utils-9.18.2-bashisms.patch
	patch -E -p1 <../drbd-utils-9.18.2-tdestroy-free-fn-type.patch
	patch -E -p1 <../drbd-utils-9.18.2-kill-spyware.patch
	patch -E -p1 <../drbd-utils-9.18.2-kill-buildtag.patch
	patch -E -p1 <../drbd-utils-9.18.2-install-paths-cflags-cleanup.patch
	aclocal
	autoheader
	autoconf
	./configure \
		--prefix=/gales/pkg/$Q \
		--sysconfdir=/etc \
		--sbindir='${prefix}/bin' \
		--datarootdir='${prefix}' \
		--localstatedir=/var \
		--without-83support \
		--without-udev \
		--without-xen \
		--without-heartbeat \
		--without-pacemaker \
		--without-rgmanager \
		--without-bashcompletion \
		--with-distro=generic \
		--with-prebuiltman \
		--with-initscripttype=none
	# "We have configurable paths... wait, just kidding!"
	cd scripts
	sed 's:/usr/share/doc/drbd\.\.\./:/gales/doc/drbd-utils/:g' drbd.conf >t && mv t drbd.conf
	# These seem intended as user-configurable scripts, so it's unclear that they belong here rather than /etc; but let's at least not leave the comments totally broken.
	sed 's:/usr/lib/drbd:/gales/pkg/drbd-utils/scripts:g' notify.sh >t && mv t notify.sh
	sed 's:/usr/lib/drbd:/gales/pkg/drbd-utils/scripts:g' global_common.conf >t && mv t global_common.conf
	cd ..
	make -j$JOBS
	make install DESTDIR=$root
	cd $root/gales/pkg/$Q
	# Another aspect of the supposedly configurable paths, hardcoded in the makefile. First they think "lib" is for binaries, next they think it's for shell scripts.
	mv lib/drbd scripts
	rmdir lib
	# Manual is translated into Japanese and *only* that; no configure knob to disable.
	rm -r man/ja
}

check () {
	cd $P-$V
	echo 'Testing skipped as it requires a "clitest" component not included in the distribution.'
	#make test
}

package () {
	cd $P-$V
	f gales/pkg/$Q/doc/README.md
	# This fits better as documentation than under the Gales /etc/example tree, because it's not a usable configuration as-is.
	f gales/pkg/$Q/doc/drbd.conf.example scripts/drbd.conf.example
	cd ../root
	# This one is the proper example config; it's minimal, but unlike the above, has the rules to include /etc/drbd.d/.
	f etc/examples/drbd.conf etc/drbd.conf
	f etc/examples/drbd.d/global_common.conf etc/drbd.d/global_common.conf
	f etc/examples/multipath/conf.d/drbd.conf etc/multipath/conf.d/drbd.conf
	a gales/pkg/$Q gales/pkg/$Q
	l gales/pkg/$P $Q
	for f in drbdadm drbdmeta drbdmon drbdsetup; do
		l gales/command/$f ../pkg/$P/bin/$f
	done
	l gales/doc/$P ../pkg/$P/doc
	l gales/man/$P ../pkg/$P/man
	# drbdadm creates "drbd-minor-1.lkbd" file(s) here.
	d var/lib/drbd
	# drbdadm creates "drbd-147-1" here, for the dubious achievement of being the only thing so far in Gales to demand this directory.
	d var/lock
}
