#!/usr/bin/python
# J. Welsh, March 2018

from os import listdir
from hashlib import sha512
from sys import exit

ok = True

def missing_disk(f):
    global ok
    ok = False
    print 'missing on disk:',f

def missing_manifest(f):
    global ok
    if f not in ('Manifest.sha512','.','..'):
        ok = False
        print 'missing in manifest:',f

def verify(name,size,hash):
    global ok
    s = 0
    d = sha512()
    with open(name) as f:
        while True:
            block = f.read(65536)
            if len(block) == 0:
                break
            s += len(block)
            d.update(block)
        if s != size:
            print 'bad size:',name
            ok = False
        elif d.hexdigest() != hash:
            print 'bad hash:',name
            ok = False
        else:
            print 'ok:',name

m = open('Manifest.sha512').read().split('\n')
m = iter(sorted(line.split(' ') for line in m if line))
d = iter(sorted(listdir('.')))

try:
    mrec = next(m)
    dname = next(d)
    while True:
        name,size,hash = mrec
        if name == dname:
            verify(name,int(size),hash)
            mrec = next(m)
            dname = next(d)
        elif name < dname:
            missing_disk(name)
            mrec = next(m)
        else:
            missing_manifest(dname)
            dname = next(d)
except StopIteration: pass

for mrec in m:
    missing_disk(mrec[0])

for dname in d:
    missing_manifest(dname)

exit(0 if ok else 1)
