P=git
V=2.12.5
MAJOR=0
MINOR=0

# Build requires: zlib

S="
$P-$V.tar.xz https://www.kernel.org/pub/software/scm/git/$P-$V.tar.xz
$P-manpages-$V.tar.xz https://www.kernel.org/pub/software/scm/git/$P-manpages-$V.tar.xz
"

SHA512="
8efcc92b00ca6eb6508acfd824ca9b617289ca0dfac66def5997e82b2c0f48d361bacc054e8cb42e4aba47b781a19d875e9a6390386b9bafdf688d18f3a40a47  git-2.12.5.tar.xz
fb15e928f7ef041d090e3fd0fa5b05a6ba5587b1154cdc301b84246ac74358b3460b93f2c825c52dfc097d367cbd223be4817b4cd01c8be1635ad0936dfaa5dc  git-manpages-2.12.5.tar.xz
"

build () {
	root=$PWD/root
	pfx=/gales/pkg/$Q
	tar xJf $P-$V.tar.xz
	cd $P-$V
	cat >config.mak <<-.
		prefix       = $pfx
		mandir       = $pfx/man
		infodir      = $pfx/info
		gitexecdir   = $pfx/bin
		sharedir     = $pfx
		template_dir = $pfx/templates
		htmldir      = $pfx/doc
		sysconfdir   = /etc
		V=1
		NO_CURL=1 # disables http(s)
		NO_OPENSSL=1
		NO_PERL=1 # disables git-svn, gitweb (need to figure out install paths)
		#NO_PYTHON=1
		NO_TCLTK=1 # disables gitk (build requires either tclsh/wish or msgfmt)
		NO_EXPAT=1 # disables push over http(s)
		NO_GETTEXT=1
		NO_SVN_TESTS=1
		NO_SYS_POLL_H=1
		NO_REGEX=1 # use internal compat lib (glibc-derived) as musl lacks the nonstandard REG_STARTEND
		NO_INSTALL_HARDLINKS=1
		NO_R_TO_GCC_LINKER=1
		ZLIB_PATH=/gales/pkg/zlib
		.
	make -j$JOBS
	make strip
	make install DESTDIR=$root
	cd ..
	mkdir root$pfx/man
	tar xJf $P-manpages-$V.tar.xz -C root$pfx/man
}

check () {
	echo 'skipping: many failures due to missing "iconv" program'
	return
	cd $P-$V
	GIT_SKIP_TESTS='t3900 t4041 t4059' make test
}

package () {
	cd root/gales/pkg
	a gales/pkg/$Q
	l gales/pkg/$P $Q
	# per BINDIR_PROGRAMS in Makefile
	for f in git git-upload-pack git-receive-pack git-upload-archive git-shell git-cvsserver ; do
		l gales/command/$f ../pkg/$P/bin/$f
	done
	l gales/man/$P ../pkg/$P/man
}
