P=gnupg
V=1.4.21
MAJOR=0
MINOR=0

S="
$P-$V.tar.bz2 https://gnupg.org/ftp/gcrypt/gnupg/$P-$V.tar.bz2
"

SHA512="
619e0fbc10310c7e55d129027e2945791fe91a0884b1d6f53acb4b2e380d1c6e71d1a516a59876182c5c70a4227d44a74ceda018c343b5291fa9a5d6de77c984  gnupg-1.4.21.tar.bz2
"

build () {
	root=$PWD/root
	tar xf $P-$V.tar.bz2
	cd $P-$V
	# Low optimization as this is security-critical
	CFLAGS=-O1 ./configure \
		--disable-gnupg-iconv \
		--disable-agent-support \
		--disable-bzip2 \
		--disable-photo-viewers \
		--disable-ldap \
		--disable-finger \
		--disable-generic \
		--disable-dns-srv \
		--disable-dns-cert \
		--disable-nls \
		--disable-regex \
		--enable-noexecstack \
		--enable-static-rnd=linux \
		--prefix=/gales/pkg/$Q
	make -j$JOBS
	make install-strip DESTDIR=$root
}

package () {
	r=gales/pkg/$Q
	stage=$PWD/root/$r

	cd $stage/bin
	X $r/bin/gpg
	x $r/bin/gpg-zip
	X $r/bin/gpgsplit
	X $r/bin/gpgv

	cd $stage/libexec/gnupg
	X $r/libexec/gnupg/gpgkeys_hkp

	cd $stage/share/gnupg
	f $r/share/gnupg/FAQ
	f $r/share/gnupg/options.skel

	cd $stage/share/info
	f $r/share/info/gnupg1.info

	cd $stage/share/man/man1
	f $r/share/man/man1/gpg-zip.1
	f $r/share/man/man1/gpg.1
	f $r/share/man/man1/gpgv.1

	l gales/pkg/$P $Q
	l gales/command/gpg ../pkg/$P/bin/gpg
	l gales/command/gpg-zip ../pkg/$P/bin/gpg-zip
	l gales/command/gpgsplit ../pkg/$P/bin/gpgsplit
	l gales/command/gpgv ../pkg/$P/bin/gpgv
	l gales/info/gnupg1.info ../pkg/$P/share/info/gnupg1.info
	l gales/man/gnupg ../pkg/$P/share/man
}
