P=httpd
V=2.2.34
MAJOR=0
MINOR=0

# Build requires: autoconf libtool python
# Requires: perl (for dbmmanage script)
# Includes bundled: apr apr-util pcre

S="
$P-$V.tar.gz
"

SHA512="
395b88ba9cc5cade9b1b14f2af894f54711938042a09c2669923e301c2e738c8f0265bab5a9f12ef1d425dcbf1732c1f974d639ac54f6830044d4ebe966d756c  httpd-2.2.34.tar.gz
"

build () {
	root=$PWD/root
	tar xzf $P-$V.tar.gz
	cd $P-$V
	./buildconf
	./configure --prefix=/gales/pkg/$Q \
		--datarootdir=/gales/pkg/$Q \
		--disable-shared \
		--disable-dso \
		--enable-cache \
		--enable-disk-cache \
		--enable-ext-filter \
		--enable-headers \
		--enable-proxy \
		--disable-proxy-ajp \
		--disable-proxy-balancer \
		--disable-proxy-connect \
		--disable-proxy-ftp \
		--enable-proxy-http \
		--enable-rewrite \
		--disable-ssl \
		--with-included-apr \
		--with-ssl=/gales/pkg/libressl \
		--with-mpm=prefork
	make -j$JOBS
	make install DESTDIR=$root
	cd $root/gales/pkg/$Q
	mkdir doc
	mv manual doc
	cd bin
	# apachectl is a fairly silly wrapper script, largely unnecessary, adding a links/lynx dependency and this misplaced 'envvars' config file
	rm apachectl envvars envvars-std
	# APXS inherently requires DSO support
	rm apxs
	cd ../man/man8
	rm apachectl.8 apxs.8
}

check () {
	echo 'No test suite included.'
}

package () {
	cd $P-$V
	f gales/pkg/$Q/doc/ABOUT_APACHE
	f gales/pkg/$Q/doc/CHANGES
	f gales/pkg/$Q/doc/README
	cd ../root/gales/pkg
	a gales/pkg/$Q
	l gales/pkg/$P $Q
	for f in ab apr-1-config apu-1-config checkgid dbmmanage htcacheclean htdbm htdigest htpasswd httpd httxt2dbm logresolve rotatelogs ; do
		l gales/command/$f ../pkg/$P/bin/$f
	done
	l gales/doc/$P ../pkg/$P/doc
	l gales/man/$P ../pkg/$P/man
}
