P=libtool
V=2.4.4
MAJOR=0
MINOR=0

# Build requires: autoconf automake

S="
$P-$V.tar.gz http://ftp.gnu.org/gnu/$P/$P-$V.tar.gz
"

SHA512="
88ae8ba640f1d7b5237fc39e1f6b24c9502ac310001636cd4e6626061ba77fec5ea6303ce5f47056a5feb86713bdde59039293534880d223b17c382bf34465f9  libtool-2.4.4.tar.gz
"

build () {
	root=$PWD/root
	tar xzf $P-$V.tar.gz
	cd $P-$V

	# Not your business. (Hostname ended up in the packaged "libtool" script.)
	sed -i '/# Libtool was configured on host/d' m4/libtool.m4

	rm aclocal.m4 config-h.in configure Makefile.in
	(cd libltdl && rm aclocal.m4 config-h.in configure Makefile.in)

	# They have a "bootstrap" script but it's some gnulib generated "fully general" horror.
	aclocal -I m4
	autoconf
	autoheader
	automake
	(
		cd libltdl
		aclocal -I ../m4
		autoconf
		autoheader
		automake
	)

	./configure \
		--prefix=/gales/pkg/$Q \
		--datarootdir=/gales/pkg/$Q \
		--disable-shared \
		--disable-silent-rules

	make -j$JOBS
	make install DESTDIR=$root
}

check () {
	echo 'Skipping slow and broken test suite.'
	return
	cd $P-$V
	make check
	# 36 unexpected failures out of 127 tests run; most seem to derive from a mistaken belief that shared libraries work.
	# This seems OK because our only reason for including this garbage in Gales at all is to ease autoreconf-ing of dependent programs while porting them, and for that purpose it's working fine so far. In other words, we already know libtool sucks; we're humoring it to the extent that it makes our work easier, but with no intention of "improving" or fixing its existing bugs.
}

package () {
	cd $P-$V
	for f in AUTHORS NEWS THANKS ; do
		f gales/pkg/$Q/doc/$f
	done

	cd ../root/gales/pkg
	a gales/pkg/$Q
	l gales/pkg/$P $Q

	# The shared aclocal directory, "owned" by automake but intended for third-party macro definitions such as libtool's.
	d gales/aclocal
	for f in libtool.m4 ltargz.m4 ltdl.m4 ltoptions.m4 ltsugar.m4 ltversion.m4 lt~obsolete.m4 ; do
		l gales/aclocal/$f ../pkg/$P/aclocal/$f
	done

	for f in libtool libtoolize ; do
		l gales/command/$f ../pkg/$P/bin/$f
	done

	for f in libtool.info libtool.info-1 libtool.info-2 ; do
		l gales/info/$f ../pkg/$P/info/$f
	done

	l gales/doc/$P ../pkg/$P/doc
	l gales/man/$P ../pkg/$P/man
}
