P=perl
V=5.24.2
MAJOR=10 # in case I need to build still older versions
MINOR=1

S="
$P-$V.tar.xz http://www.cpan.org/src/5.0/$P-$V.tar.xz
$P-5.24-kill-timestamps.patch
Changes.gales
"

SHA512="
d7bb66e23064aba426fe3f7264d065f0926957675b0bba51fe2ddb623561ffcdb7657d9f27d78920a583a21bdee01a7ace37aae6d42c02d32403bd1347ad8df8  perl-5.24.2.tar.xz
cd5af6495fe4c46c0d5d0f51d4015b54daa221f08a5fb48899c247cb57c2ba85cffb97e6d258d0f931504828bb23e175d899f311c73805d924d1042058ac42e4  perl-5.26.0.tar.xz
"

build () {
	root=$PWD/root
	tar xf $P-$V.tar.xz
	cd $P-$V
	patch -p1 <../$P-5.24-kill-timestamps.patch

	p=/gales/pkg/$Q
	./Configure -des \
		-Dprefix=$p \
		-Darchlib=$p/arch \
		-Dprivlib=$p/lib \
		-Dsitearch=$p/site-arch \
		-Dsitelib=$p/site-lib \
		-Dman1dir=$p/man/man1 \
		-Dman3dir=$p/man/man3 \
		-Dinstallusrbinperl=n \
		-Dcc=gcc \
		-Doptimize=-O2 \
		-Dlibs=none \
		-Dosvers=4 \
		-Dcf_by=build \
		-Dmyhostname=localhost \
		-Dmydomain=none \
		-Dmyuname=none \
		-Dcf_email=none \
		-Dperladmin=none \
		-Dinc_version_list=none \
		-Dnetdb_host_type='const void *' \
		-Dnetdb_hlen_type=socklen_t \
		-Uusenm \
		-Uusedl
	# Would cut major bloat, if it worked...
	# -Dnoextensions="Encode/CN Encode/JP Encode/KR Encode/TW"
	# Works, but unsure of the fallout...
	# -Dnoextensions="Encode"

	make -j$JOBS
	make install DESTDIR=$root

	# ar.sh doesn't detect hard links
	cd $root$p/bin
	ln -sf perl perl$V
	ln -sf c2ph pstruct
	ln -sf perlbug perlthanks
	cd ../man/man1
	ln -sf c2ph.1 pstruct.1
	ln -sf perlbug.1 perlthanks.1
}

check () {
	echo 'FIXME: the test suite is slow and broken; skipping'
	return
	cd $P-$V
	make test-notty
}

package () {
	f gales/pkg/$Q/Changes.gales
	cd root/gales/pkg
	a gales/pkg/$Q
	l gales/pkg/$P $Q
	cd $Q/bin
	for f in *; do
		l gales/command/$f ../pkg/$P/bin/$f
	done
	l bin/perl /gales/pkg/$P/bin/perl #! portability
	l gales/man/$P ../pkg/$P/man
}
