name=setuptools

P=py-$name
V=36.8.0
MAJOR=0
MINOR=0

# FIXME: easy_install puts scripts in /gales/pkg/python/bin instead of [/usr]/local/bin

S="
$name-$V.tar.gz http://github.com/pypa/$name/archive/$V.tar.gz
setuptools-36.8.0-kill-winblows-unicodedata.patch
setuptools-36.8.0-default-deny.patch
kill-hieroglyphs.py
"

SHA512="
5e7647ed622ae07575cca1df6695c138cab698a224ffc7873eb386d7c7242938bd746107ed7b1cac88d2a53b4b820bc4827f7fc1ff356a847d90a2aaae4922e9  setuptools-36.8.0.tar.gz
053777ef0749173240d55e26c987bee1be3adbd16c28ddd0b6c14c1d8cfdf5ae9997ea7cff8dc8ee7474ae669abe7e6f960116f56d72fdac66203e68472e3c31  setuptools-38.2.5.tar.gz
"

build () {
	root=$PWD/root
	tar xzf $name-$V.tar.gz
	cd $name-$V
	rm -f .gitignore .travis.yml appveyor.yml launcher.c msvc-build-launcher.cmd pavement.py setup.cfg tox.ini setuptools/*.exe setuptools/glibc.py setuptools/windows_support.py
	python ../kill-hieroglyphs.py
	patch -p1 <../setuptools-36.8.0-kill-winblows-unicodedata.patch
	patch -p1 <../setuptools-36.8.0-default-deny.patch
	python bootstrap.py
	# Disable easy_install-2.7 command (entirely pointless as it still uses
	# the unversioned "python" as interpreter)
	export SETUPTOOLS_DISABLE_VERSIONED_EASY_INSTALL_SCRIPT=1
	python setup.py install \
		--prefix=/gales/pkg/$Q \
		--install-lib=/gales/pkg/$Q/lib \
		--root=$root
	# Symlinking individual unversioned package paths into /gales/python2.7
	# is preferable in general to "pth" files, but pkg_resources insists on
	# having a versioned setuptools egg-info directory in the path.
	echo /gales/pkg/$P/lib >$name.pth
}

package () {
	cd $name-$V
	f gales/pkg/$Q/doc/CHANGES.rst
	f gales/pkg/$Q/doc/LICENSE
	f gales/python2.7/$name.pth
	cd docs
	for f in *.txt; do
		f gales/pkg/$Q/doc/rst/$f
	done
	cd ../../root/gales/pkg
	a gales/pkg/$Q
	l gales/pkg/$P $Q
	l gales/command/easy_install ../pkg/$P/bin/easy_install
	l gales/doc/$P ../pkg/$P/doc
}
