P=sqlite
V=3.21.0
MAJOR=3
MINOR=0

# Build requires: readline ncurses

# TCL is required to build from the actual sources as opposed to the pre-cooked
# amalgamation. As I have no other use for it, I'm including a quick and dirty
# build here rather than digging into how it ought to be configured / installed
# as a standalone package.

dist=sqlite-src-3210000

# sqlite: recompressed from http://sqlite.org/2017/$dist.zip
# tcl: fished out of sourceforge; recompressed after removing:
#   compat
#   library/encoding
#   library/msgs
#   library/tzdata
#   macosx
#   pkgs
#   tests
#   unix/configure
#   win
S="
$dist.tar.xz
tcl8.6.6-stripped.tar.xz
tcl-8.6.6-zlib-stub-type.patch
tcl.mk
sqlite.mk
"

SHA512="
9b2c0c09788955a31d1e246781bd5ab4659228d9211c06162f70996b9a5614a5d9134ec91b8e9fc4799a4eb88414f996e0893222696b2d71b8bbdfffdcafc118  sqlite-src-3210000.tar.xz
3946ffa17643e6a10e42069074ad92c5c59f1b2b47a86d5d5d7180d20cf472d8ee131929f0827fe2407b4cace97aca3a0a14ca5def54d7d1b7611185a7ecd7a5  tcl8.6.6-stripped.tar.xz
"

build () {
	mkdir build
	tar xJf $dist.tar.xz
	tar xJf tcl8.6.6-stripped.tar.xz
	cd tcl8.6.6
	patch -p1 <../tcl-8.6.6-zlib-stub-type.patch
	make -f ../tcl.mk -j$JOBS
	export PATH=$PWD:$PATH
	export TCL_LIBRARY=$PWD/library

	cd ../build
	echo 'Building generated sources'
	make -f ../$dist/main.mk sqlite3.c TOP=../$dist BCC="gcc -Wall"
	echo 'Building shell and library'
	make -f ../sqlite.mk -j$JOBS
	strip sqlite3
}

check () {
	echo 'TODO (requires building the TCL extension)'
}

package () {
	cd $dist
	f gales/pkg/$Q/man/man1/sqlite3.1
	cd ../build
	X gales/pkg/$Q/bin/sqlite3
	f gales/pkg/$Q/include/sqlite3.h
	f gales/pkg/$Q/lib/sqlite3.c
	F gales/pkg/$Q/lib/libsqlite3.a
	l gales/pkg/$P $Q
	l gales/command/sqlite3 ../pkg/$P/bin/sqlite3
	l gales/man/$P ../pkg/$P/man
}
