P=strace
V=4.16
MAJOR=0
MINOR=0

# Build requires: autoconf automake

S="
$P-$V.tar.xz
bootstrap
generate_mpers_am.sh
strace-4.16-futex-test-einval.patch
strace-4.16-xlat-gen-ksh.patch
"

SHA512="
d1a7b782cb8196eb95b431b66f9b0eff7886869a7e3a4618d985f73b2eed7590ba73150b9c33e55ee5c65fc8f863588b64c5611dca7b5d7a4183110eaf4451d5  strace-4.16.tar.xz
"

build () {
	root=$PWD/root
	tar xJf $P-$V.tar.xz
	cd $P-$V
	patch -p1 <../strace-4.16-futex-test-einval.patch
	patch -p1 <../strace-4.16-xlat-gen-ksh.patch
	# broken-by-design test that fails after the release year
	rm tests/strace-V.test
	sed -i '/strace-V.test/d' tests/Makefile.am
	# git-based version string magic, not even to make a release tarball but just to run autoconf; no more of that!
	sed -i "s/m4_esyscmd(\[.\/git-version-gen .tarball-version])/[$V]/" configure.ac
	# "maintainer" scripts required to generate numerous files; fished out of git at the corresponding version tag
	install ../generate_mpers_am.sh ../bootstrap .
	./bootstrap -sv
	./configure --prefix=/gales/pkg/$Q \
		--datarootdir=/gales/pkg/$Q
	make -j$JOBS
	make install DESTDIR=$root
}

check () {
	cd $P-$V
	make check
}

package () {
	cd $P-$V
	for f in COPYING CREDITS NEWS README README-linux-ptrace ; do
		f gales/pkg/$Q/doc/$f
	done
	cd ../root/gales/pkg
	a gales/pkg/$Q
	l gales/pkg/$P $Q
	for f in strace strace-graph strace-log-merge ; do
		l gales/command/$f ../pkg/$P/bin/$f
	done
	l gales/doc/$P ../pkg/$P/doc
	l gales/man/$P ../pkg/$P/man
}
