P=vim
V=6.4.008
MAJOR=0
MINOR=2

# Build requires: ncurses (for terminfo)

# Filetype problems:
# Scheme parsing trouble with parens in comments, #\\, #\)
# Scheme "do" misindented
# Shell and autoconf parsing sucks
# Python missing various builtins

S="
vim-6.4.tar.bz2 http://ftp.vim.org/pub/vim/unix/vim-6.4.tar.bz2
6.4.002.patch
6.4.004.patch
6.4.005.patch
6.4.006.patch
6.4.007.patch
6.4.008.patch
vimrc
feature-gales.h
"

SHA512="
5c6d4c7b6028b9f8c119eaea54f859975d37af0e25c31da10181d3d3b354b98a5a2c68490c995b26fb3e186c6dac4b9ee368333ea2cb0ac736aabb47f9ecc1ec  vim-6.4.tar.bz2
"

build () {
	root=$PWD/root
	tar xf vim-6.4.tar.bz2
	cd vim64

	# The upstream patches have been converted to unified diff format
	# (BusyBox patch doesn't handle anything else) but are preserved in
	# their original form in the tree.
	for p in 2 4 5 6 7 8; do
		patch -p1 <`printf ../6.4.%03d.patch $p`
	done
	# Too much brokenness for now, e.g. complains about unknown 'linux'
	# terminal, no color...
	#patch -p1 <../vim64-no-curses.patch

	cd src
	# Vim has TOO MANY WAYS to configure things.
	cat ../../feature-gales.h >>feature.h

	# FIXME this is supposed to regenerate auto/configure (for which ./configure is a thin wrapper) but fails.
	#rm auto/configure
	#make autoconf
	CFLAGS="-Wall -O1" ./configure \
		--prefix=/gales/pkg/$Q \
		--with-compiledby=gales \
		--disable-xsmp \
		--with-features=normal \
		--disable-netbeans \
		--without-x \
		--enable-gui=no \
		--disable-nls
	grep -v HAVE_DATE_TIME auto/config.h >tmp
	mv tmp auto/config.h

	make -j$JOBS \
		VIMLOC=/gales/pkg/$Q \
		VIMRTLOC=/gales/pkg/$Q/runtime \
		DESTDIR=$root \
		install
}

package () {
	r=gales/pkg/$Q

	f etc/examples/vimrc

	cd root/$r
	a $r/bin
	a $r/man
	a $r/runtime

	l gales/pkg/$P $Q
	cd bin
	for f in *; do
		l gales/command/$f ../pkg/$P/bin/$f
	done
	l gales/man/$P ../pkg/$P/man
}
