P=x264
V=20160712
MAJOR=0
MINOR=0

S="
$P-snapshot-$V-2245.tar.bz2
$P-$V-no-build-date.patch
"

SHA512="
ac97730611e6194701a891a7e73c739696664de2411a7937ab0c36a3ce843f22bf2bd2defe053c2506d95652842b99a905b6f16a2f016a9d73059c2c75b71963  x264-snapshot-20160712-2245.tar.bz2
"

build () {
	root=$PWD/root
	tar xjf $P-snapshot-$V-2245.tar.bz2
	cd $P-snapshot-$V-2245
	patch -p1 <../$P-$V-no-build-date.patch

	# configure emits some bizarre error about AUTHORS but seems to work otherwise
	sed -i '1s/bash/sh/' configure
	# FIXME config.guess and config.sub are bundled, but configure is homemade, so unclear how to copy/link in the standard versions.

	# Assembly optimizations require a sufficiently recent yasm or nasm, depending on x264 version.
	# The OpenCL build is broken with multiple shell scripting incompatibilities:
	# - Can't name a function 'hash' because that's in use as an alias (this seems like terrible behavior by ksh)
	# - 'od -A' option unsupported in busybox
	./configure --prefix=/gales/pkg/$Q --enable-static --disable-asm --disable-opencl

	make -j$JOBS
	make install DESTDIR=$root
}

check () {
	# There are no user-facing tests.
}

package () {
	cd root/gales/pkg
	a gales/pkg/$Q
	l gales/pkg/$P $Q
	l gales/command/x264 ../pkg/$P/bin/x264
	# There are no user-facing docs.
}
