P=xz
V=5.2.3
MAJOR=0
MINOR=1

# Build requires: autoconf automake

S="
$P-$V.tar.gz http://tukaani.org/xz/$P-$V.tar.gz
"

SHA512="
a5eb4f707cf31579d166a6f95dbac45cf7ea181036d1632b4f123a4072f502f8d57cd6e7d0588f0bf831a07b8fc4065d26589a25c399b95ddcf5f73435163da6  xz-5.2.3.tar.gz
"

build () {
	root=$PWD/root
	tar xf $P-$V.tar.gz
	cd $P-$V
	# FIXME maybe: this uses gettext and libtool, which works because they've bundled the macro implementations in m4/.
	rm aclocal.m4 configure config.h.in Makefile.in */Makefile.in */*/Makefile.in */*/*/Makefile.in
	aclocal -I m4
	autoconf
	autoheader
	automake
	CFLAGS=-O2 ./configure --prefix=/gales/pkg/$Q \
		--docdir=/gales/pkg/$Q/doc \
		--mandir=/gales/pkg/$Q/man \
		--disable-dependency-tracking \
		--disable-nls \
		--disable-shared \
		--disable-symbol-versions \
		--disable-xzdec \
		--disable-lzmadec
	make -j$JOBS
	make install DESTDIR=$root
	cd $root/gales/pkg/$Q/bin
	strip lzmainfo xz
}

check () {
	cd $P-$V
	make check
}

package () {
	cd root/gales/pkg/$Q
	a gales/pkg/$Q/bin
	a gales/pkg/$Q/doc
	a gales/pkg/$Q/include
	F gales/pkg/$Q/lib/liblzma.a lib/liblzma.a
	a gales/pkg/$Q/man
	l gales/pkg/$P $Q
	cd bin
	for f in *; do
		l gales/command/$f ../pkg/$P/bin/$f
	done
	l gales/doc/$P ../pkg/$P/doc
	l gales/man/$P ../pkg/$P/man
}
